Show / Hide Table of Contents

# Class OpenIddictServerDataProtectionOptions

Provides various settings needed to configure the OpenIddict ASP.NET Core Data Protection server integration.

##### Inheritance

System.Object
OpenIddictServerDataProtectionOptions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server.DataProtection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictServerDataProtectionOptions

### Properties

#### DataProtectionProvider

Gets or sets the data protection provider used to create the default data protectors used by the OpenIddict Data Protection server services. When this property is set to `null`, the data protection provider is directly retrieved from the dependency injection container.

##### Declaration

    public IDataProtectionProvider DataProtectionProvider { get; set; }

##### Property Value

Type | Description
--- | ---
IDataProtectionProvider |

#### Formatter

Gets or sets the formatter used to read and write Data Protection tokens.

##### Declaration

    public IOpenIddictServerDataProtectionFormatter Formatter { get; set; }

##### Property Value

Type | Description
--- | ---
IOpenIddictServerDataProtectionFormatter |

#### PreferDefaultAccessTokenFormat

Gets or sets a boolean indicating whether the default access token format should be used when issuing new access tokens. This property is set to `false` by default.

##### Declaration

    public bool PreferDefaultAccessTokenFormat { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### PreferDefaultAuthorizationCodeFormat

Gets or sets a boolean indicating whether the default authorization code format should be used when issuing new authorization codes. This property is set to `false` by default.

##### Declaration

    public bool PreferDefaultAuthorizationCodeFormat { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### PreferDefaultDeviceCodeFormat

Gets or sets a boolean indicating whether the default device code format should be used when issuing new device codes. This property is set to `false` by default.

##### Declaration

    public bool PreferDefaultDeviceCodeFormat { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### PreferDefaultRefreshTokenFormat

Gets or sets a boolean indicating whether the default refresh token format should be used when issuing new refresh tokens. This property is set to `false` by default.

##### Declaration

    public bool PreferDefaultRefreshTokenFormat { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### PreferDefaultUserCodeFormat

Gets or sets a boolean indicating whether the default user code format should be used when issuing new user codes. This property is set to `false` by default.

##### Declaration

    public bool PreferDefaultUserCodeFormat { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |